#!/usr/bin/env python
# -*- coding: utf-8 -*-

from setuptools import find_packages, setup

NAME = 'patternutils'
DESCRIPTION = 'Combine regular expressions with template engines in a powerfull matter.'
URL = 'https://projects.metalgamer.eu/patternutils'
EMAIL = 'dennis.fink@c3l.lu'
AUTHOR = 'Dennis Fink'

REQUIRED = [
    'click==6.7',
]

OPTIONAL = {
    'jinja2': ['Jinja2==2.10'],
}

setup(
    name=NAME,
    version='0.0.1',
    description=DESCRIPTION,
    author=AUTHOR,
    author_email=EMAIL,
    url=URL,
    packages=find_packages(exclude=('tests',)),
    entry_points={
        'console_scripts': [
            'pmatch=patternutils.commands.pmatch:pmatch',
            'targs=patternutils.commands.targs:targs',
            'tmv=patternutils.commands.tmv:tmv',
            'patterncfg=patternutils.commands.patterncfg:patterncfg',
        ],
    },
    install_requires=REQUIRED,
    extras_requires=OPTIONAL,
    include_package_data=True,
    license='GPLv3+',
    classifiers=[
        # Trove classifiers
        # Full list: https://pypi.python.org/pypi?%3Aaction=list_classifiers
        'Programming Language :: Python',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: Implementation :: CPython',
    ],
)
